{pkgs, ...}: {
  # Enable NCMPCPP
  programs.ncmpcpp = {
    enable = true;
    settings = {
      browser_sort_mode = "name";
      user_interface = "alternative";
    };
  };

  # Enable Discord Music RPC
  services.mpd-discord-rpc.enable = true;

  # Allow terminal control of mpd
  home.packages = with pkgs; [
    mpc-cli
  ];
}
