{
  imports = [
    # Base configs
    ./base.nix

    # Import users and groups
    ./users/jimbo.nix
    ./users/groups.nix

    # Desktop only
    ./desktop/misc.nix
    ./desktop/sway.nix
    ./desktop/greetd-sway.nix
    ./desktop/printing.nix
    ./desktop/gaming.nix
    ./desktop/pipewire.nix
    ./desktop/bluetooth.nix
    ./desktop/firewall.nix
    ./desktop/fonts.nix
    ./desktop/qt.nix

    # Modules
    ./modules/security.nix
    ./modules/legacy.nix

    # Hardware
    ./hardware/machines/desktop.nix
    ./hardware/systemdboot.nix
    ./hardware/opengl.nix
    ./hardware/nvidia.nix
    #./hardware/nouveau.nix

    # Services
    ./services/openssh.nix
    ./services/virtualisation.nix
    ./services/udev.nix
    ./services/sunshine.nix
    ./services/mpd.nix
  ];

  networking.hostName = "JimDesktop";

  # https://nixos.wiki/wiki/FAQ/When_do_I_update_stateVersion
  system.stateVersion = "24.05";
}
