{pkgs, ...}: {
  programs = {
    dconf.enable = true;
    light.enable = true;
    xwayland.enable = true;
  };

  services.dbus.enable = true;

  environment.systemPackages = with pkgs; [
    wl-clipboard
    wdisplays
    clipman
    libnotify
    grim
    slurp
    swappy
    jq
    lm_sensors
  ];
}
