{
  # Networking settings
  networking = {
    # Choose networking method
    wireless.enable = false;
    dhcpcd.enable = true;

    # Set hostnames
    hosts = let
      ips = import ../modules/ips.nix;
    in {
      "${ips.server}" = ["server"];
      "${ips.pc}" = ["pc"];
      "${ips.vm}" = ["vm"];
    };
  };
}
