{pkgs, ...}: let
  common = import ../common.nix { inherit pkgs; };
in {
  services.minecraft-servers.servers.blockworld = {
    enable = true;
    autoStart = false;
    package = pkgs.paperServers.paper-1_21_1;
    jvmOpts = "-Xmx4084M";
    serverProperties = common.serverProperties // {
      difficulty = 2;
      server-port = 30012;
      motd = "§fArchival §l§n§cBloxelcom §r§fMinecraft server.";
    };
    whitelist = common.whitelist;
    symlinks = common.symlinks;
  };
}
