{config, pkgs, ...}: {
  # Enable Sway and write some scripts
  wayland.windowManager.sway = {
    package = pkgs.unstable.sway;
    extraConfig = ''
      # SwayFX specific options
      blur enable
      blur_passes 3
      blur_radius 5
      layer_effects 'rofi' blur enable
      layer_effects 'notifications' blur enable; blur_ignore_transparent enable
    '';
  };
}
