{
  imports = [
    # Base configs
    ./base.nix

    # Import users and groups
    ./users/jimbo.nix
    ./users/groups.nix

    # Desktop only
    ./desktop/misc.nix
    ./desktop/sway.nix
    ./desktop/gaming.nix
    ./desktop/pipewire.nix
    ./desktop/bluetooth.nix
    ./desktop/firewall.nix
    ./desktop/fonts.nix
    ./desktop/qt.nix

    # Laptop/Portable only
    ./hardware/wireless.nix

    # Steam Deck only
    ./deck/jovian.nix

    # Modules
    ./modules/security.nix

    # Hardware
    ./hardware/machines/deck.nix
    ./hardware/systemdboot.nix

    # Services
    ./services/openssh.nix
    ./services/mpd.nix
  ];

  networking.hostName = "JimDeck";

  # https://nixos.wiki/wiki/FAQ/When_do_I_update_stateVersion
  system.stateVersion = "24.11";
}
