{pkgs, config, ...}: {
  # Enable video drivers                              
  services.xserver.videoDrivers = ["nvidia"];         
  hardware.nvidia = {                                 
    modesetting.enable = true;
    nvidiaSettings = false;
    package = config.boot.kernelPackages.nvidiaPackages.beta;
    open = false;
  };
}
