{outputs, ...}: {
  virtualisation.docker = {
    enable = true;
    daemon.settings.log-driver = "json-file";
  };

  # Azuracast Nginx: TODO, get a better solution than docker lmao
  services.nginx.virtualHosts."radio.${outputs.secrets.jimDomain}" =  {
    enableACME = true;
    forceSSL = true;
    locations."/" = {
      proxyPass = "http://127.0.0.1:255";
      proxyWebsockets = true;
    };
  };
}
